Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		ipmitool
#Epoch:		0
Version:	1.8.11
Release:	1
License:	BSD
URL:		http://ipmitool.sourceforge.net/
Group:		System/Configuration/Hardware	
Summary:	Intelligent Platform Management Interface managing tool
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:
BuildRequires: OpenIPMI-devel

#Automatically resolved build dependencies
BuildRequires: freeipmi-devel
BuildRequires: glibc-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: ncurses-devel
BuildRequires: openssl-devel
BuildRequires: readline-devel

%description
IPMItool is a utility for managing and configuring devices that support the Intelligent Platform Management Interface (IPMI) version 1.5 and version 2.0 specifications. IPMI is an open standard for monitoring, logging, recovery, inventory, and control of hardware that is implemented independent of the main CPU, BIOS, and OS. The service processor (or Baseboard Management Controller, BMC) is the brain behind platform management and its primary purpose is to handle the autonomous sensor monitoring and event logging features.

The ipmitool program provides a simple command-line interface to this BMC. It features the ability to read the sensor data repository (SDR) and print sensor values, display the contents of the System Event Log (SEL), print Field Replaceable Unit (FRU) inventory information, read and set LAN configuration parameters, and perform remote chassis power control. 

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--mandir=%{_mandir} \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/ipmitool
%{_mandir}/man1/ipmitool.1.gz
%{_mandir}/man8/ipmievd.8.gz
%{_sbindir}/ipmievd
%{_docdir}/ipmitool
%{_datadir}/ipmitool/oem_ibm_sel_map

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.8.11-1
- initial CCux package release
